Subject: bug#69994: 30.0.50; Issue building on msys

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Mar 2024 19:06:23 +0200

> Date: Mon, 25 Mar 2024 16:09:32 +0100
> From:  Ergus via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> I am trying to build master on msys and I get this error:
> 
> 
> ```
> git clone ....
> cd Emacs
> ./autogen.sh
> Checking whether you have the necessary tools...
> (Read INSTALL.REPO for more details on building Emacs)
> Checking for autoconf (need at least version 2.65) ... ok
> Your system has the required tools.
> Running 'autoreconf -fi -I m4' ...
> ac-wrapper: autoreconf: warning: auto-detected versions not found ( ); falling back to latest available
> ' is already registered with AC_CONFIG_FILES.
> ../autoconf-2.72/lib/autoconf/status.m4:289: AC_CONFIG_FILES is expanded from...
> configure.ac:7795: the top level
> autom4te-2.72: error: /usr/bin/m4 failed with exit status: 1
> autoreconf-2.72: error: /usr/bin/autoconf-2.72 failed with exit status: 1
> ```
> 
> I have already build emacs in this same system with no issues.
> Any idea?

Crystal ball says you cloned the repository with autocrlf having a
value other than 'false' in the Git configuration.

If that doesn't help, look into the latest changes to your system
and/or MSYS setup/packages.  There's no problem in Emacs, including
not on Windows.